#!/bin/sh

echo	"####################################################"
echo	"1/4) Remove temporary folders"
echo	"####################################################"
rm -rf liblo
rm -rf libmapper
rm -rf pthreads

echo	"####################################################"
echo	"2/4) Get and compile liblo"
echo	"####################################################"
mkdir liblo
cd liblo
git clone git://gitorious.org/liblo/mainline.git liblo_git
cd liblo_git
./autogen.sh
echo	"****************************************************"
echo	"liblo: make"
echo	"****************************************************"
make
echo	"****************************************************"
echo	"liblo: make install"
echo	"****************************************************"
sudo make install
cd ../..

echo	"####################################################"
echo	"3/4) Compile libmapper and link with liblo"
echo	"####################################################"
mkdir libmapper
cd libmapper
wget http://idmil.org/pub/software/libmapper/libmapper-0.2.tar.gz
tar -xvf libmapper-0.2.tar.gz
export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig"
cd libmapper-0.2
# Disable unnecessary elements
./configure --disable-tests --disable-audio --disable-swig
echo	"****************************************************"
echo	"libmapper: make"
echo	"****************************************************"
make
echo	"****************************************************"
echo	"libmapper: make install"
echo	"****************************************************"
sudo make install
cd ../..

echo	"####################################################"
echo	"4/4) Get pthreads for Windows"
echo	"####################################################"
mkdir pthreads
cd pthreads
mkdir include
cd include
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/include/*.h
cd ..
mkdir lib
cd lib
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/lib/*.lib
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/lib/*.dll
cd ..
cd ../..